### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-page-banner/ecl-page-banner.component.ts`

### Implements

`AfterContentInit`

### Metadata

selector | `ecl-page-banner`
templateUrl | `./ecl-page-banner.component.html`

### Index

###### Properties
eclButtonComponents
###### Inputs
baseline image isCentered isFullWidth styleClass title variant

### Constructor

`constructor()`

### Inputs

baseline
Type : `string`

image
Type : `string`

isCentered
Type : `boolean`
Default value : `true`

isFullWidth
Type : `boolean`
Default value : `false`

styleClass
Type : `string`

title
Type : `string`

variant
Type : `string`
Default value : `'default'`

### Properties

eclButtonComponents
Type : `QueryList<EclLinkDirective>`
Decorators : `@ContentChildren(undefined)`

# result-matching ""

# No results matching ""